Bug 1563 - /etc/rc.d/init.d/named looking for named.conf in wrong place
: /etc/rc.d/init.d/named looking for named.conf in wrong place
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bind)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-11-15 11:48 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-11-15 11:48:17
/etc/rc.d/init.d/named из updates ищет /etc/named.conf а надо в
/var/lib/named/etc. В результате -- выход из инициализационного скрипта без
какой-либо диагностики.
---

---
------- Comment #1 From 2002-11-15 12:22:04 -------
$ rpmquery -f /etc/named.conf
caching-nameserver-7.3-alt1

# readlink -v /etc/named.conf
/var/lib/named/etc/named.conf
------- Comment #2 From 2002-11-15 12:22:04 -------
$ rpmquery -f /etc/named.conf
caching-nameserver-7.3-alt1

# readlink -v /etc/named.conf
/var/lib/named/etc/named.conf
------- Comment #3 From 2002-11-15 13:20:13 -------
On Fri, Nov 15, 2002 at 12:52:30PM +0300, Anton V. Boyarshinov wrote:
> > > Но bind не зависит от caching-nameserver! Кроме того, это не
> > > отменяет необходимости сообщесть причину выхода из скрипта.
> > 
> > Не соглашусь по следующим причинам:
> > 1. Нынешний bind действительно может жить без пакета
> > caching-nameserver.
> 
> Но не из коробки. Поскольку файла /etc/named.conf в пакете нет,
> то с точки зрения пользователя логично найти его в
> /var/lib/named/etc , сконфигурировать там, а потом долго
> удивляться -- почему сервис молча не запускается...
> 
> > 2. Отсутствие /etc/named.conf есть достаточное основание для
> > того, чтобы
> >    считать bind не сконфигурированным и не запускать его.
> 
> Но необходимо выдать какое-нибудь сообщение по этому поводу, а не
> молча не запускать.
------- Comment #4 From 2002-11-15 13:20:13 -------
On Fri, Nov 15, 2002 at 12:52:30PM +0300, Anton V. Boyarshinov wrote:
> > > Но bind не зависит от caching-nameserver! Кроме того, это не
> > > отменяет необходимости сообщесть причину выхода из скрипта.
> > 
> > Не соглашусь по следующим причинам:
> > 1. Нынешний bind действительно может жить без пакета
> > caching-nameserver.
> 
> Но не из коробки. Поскольку файла /etc/named.conf в пакете нет,
> то с точки зрения пользователя логично найти его в
> /var/lib/named/etc , сконфигурировать там, а потом долго
> удивляться -- почему сервис молча не запускается...
> 
> > 2. Отсутствие /etc/named.conf есть достаточное основание для
> > того, чтобы
> >    считать bind не сконфигурированным и не запускать его.
> 
> Но необходимо выдать какое-нибудь сообщение по этому поводу, а не
> молча не запускать.
------- Comment #5 From 2002-11-19 20:05:06 -------
Should be fixed in bind-8.3.4-alt1, please reopen if not.
------- Comment #6 From 2002-11-19 20:05:06 -------
Should be fixed in bind-8.3.4-alt1, please reopen if not.